﻿namespace HeuristicLab.Problems.ProgramSynthesis.Base.Erc.FloatVector {
  using System.Collections.Generic;

  using HeuristicLab.Common;
  using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

  [StorableClass]
  public class FloatVectorErcOptions : ErcOption<IReadOnlyList<double>> {
    public FloatVectorErcOptions() { }
    public FloatVectorErcOptions(params IWeightedErcValueItem<IReadOnlyList<double>>[] values) : base(true, values) { }

    public FloatVectorErcOptions(bool isEnabled, params IWeightedErcValueItem<IReadOnlyList<double>>[] values) : base(isEnabled, values) { }

    [StorableConstructor]
    protected FloatVectorErcOptions(bool deserializing) : base(deserializing) { }

    public FloatVectorErcOptions(FloatVectorErcOptions origin, Cloner cloner) : base(origin, cloner) { }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new FloatVectorErcOptions(this, cloner);
    }
  }
}
